Bug 1592349

Summary: [dpm-xrootd] Drop requirements for 'initscripts' from specfile
Product: [Fedora] Fedora Reporter: David Kaspar [Dee'Kej] <dkaspar>
Component: dpm-xrootdAssignee: Ricardo Rocha <rocha.porto>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 29CC: andrea.manzi, mattias.ellert, rocha.porto
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: dpm-xrootd-3.6.6-1.el7 dpm-xrootd-3.6.6-1.fc28 dpm-xrootd-3.6.6-1.fc27 dpm-xrootd-3.6.6-1.el6 dpm-xrootd-3.6.6-1.fc29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-10-16 10:29:31 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1592330    

Description David Kaspar [Dee'Kej] 2018-06-18 13:05:08 UTC
Hello!

Description of problem:
It appears your package depend on 'initscrits' package for some reason. However, most of the initscripts' dependants are no longer valid.

I hereby request you check your package/specfile, and either:
 * drop the initscripts dependancy and close this BZ, or
 * provide a justification in a comment for keeping the dependancy (without closing this BZ)

----------------------

NOTE: In case you are depending on initscripts because of networking scripts, then you will need to update your specfile to depend directly on new package 'network-scripts' (instead of 'initscripts').

If this is the case, please let us know in the comments and do not close the BZ  yet.

Additional info:
The requested change here is valid for Rawhide (F29) only. Do not backport these changes into F28 or F27, because it would break things.

Thank you for your co-operation! :)

 -- Dee'Kej --

Comment 1 Jan Kurik 2018-08-14 10:55:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Fedora Update System 2018-09-28 09:24:58 UTC
dpm-xrootd-3.6.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ecb399c230

Comment 3 Fedora Update System 2018-09-28 09:25:05 UTC
dpm-xrootd-3.6.6-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-143632a81c

Comment 4 Fedora Update System 2018-09-28 09:26:11 UTC
dpm-xrootd-3.6.6-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-00c952ecce

Comment 5 Fedora Update System 2018-09-28 09:27:33 UTC
dpm-xrootd-3.6.6-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-72122cf2ae

Comment 6 Fedora Update System 2018-09-28 09:27:40 UTC
dpm-xrootd-3.6.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a6f4e03480

Comment 7 Fedora Update System 2018-09-28 17:09:42 UTC
dpm-xrootd-3.6.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a6f4e03480

Comment 8 Fedora Update System 2018-09-28 19:07:02 UTC
dpm-xrootd-3.6.6-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ecb399c230

Comment 9 Fedora Update System 2018-09-28 19:35:17 UTC
dpm-xrootd-3.6.6-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-00c952ecce

Comment 10 Fedora Update System 2018-09-28 19:40:55 UTC
dpm-xrootd-3.6.6-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-143632a81c

Comment 11 Fedora Update System 2018-09-28 20:32:01 UTC
dpm-xrootd-3.6.6-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-72122cf2ae

Comment 12 Fedora Update System 2018-10-16 10:29:31 UTC
dpm-xrootd-3.6.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-10-16 11:38:13 UTC
dpm-xrootd-3.6.6-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-10-16 12:08:19 UTC
dpm-xrootd-3.6.6-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-10-16 12:44:33 UTC
dpm-xrootd-3.6.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-10-30 17:17:08 UTC
dpm-xrootd-3.6.6-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.